# [[file:../../arroyo-native-parser.org::*Python Database Models][Python Database Models:1]]
from sqlmodel import create_engine, SQLModel

from arroyo.models.document import Document
from arroyo.models.heading import Heading 
from arroyo.models.keyword import Keyword
from arroyo.models.reference import Reference
from arroyo.models.tag import Tag

def make_engine(dest: str):
  engine = create_engine(f"sqlite:///{dest}") #, echo=True)
  SQLModel.metadata.create_all(engine)

  return engine
# Python Database Models:1 ends here
